
# ==============================================================================
# Adapted from Gitattributes Generator
# See https://www.richie-bendall.ml/gitattributes-generator/
# ==============================================================================



# ------------------------------------------------------------------------------
# Exclude files from exporting

.gitattributes  export-ignore
.gitignore      export-ignore
.gitkeep        export-ignore



# ------------------------------------------------------------------------------
# Auto detect text files and perform LF normalization

*           text=auto



# ------------------------------------------------------------------------------
# The above will handle all files NOT found below

# ----- Archives

*.7z        binary
*.gz        binary
*.tar       binary
*.tgz       binary
*.zip       binary

# ----- Documents

*.pdf       binary
*.PDF       binary

# ----- Graphics

*.eps       binary
*.gif       binary
*.ico       binary
*.jpeg      binary
*.jpg       binary
*.png       binary
*.tif       binary
*.tiff      binary

# ----- Scripts

*.bash      text eol=lf
*.fish      text eol=lf
*.sh        text eol=lf

*.bat       text eol=crlf
*.cmd       text eol=crlf

# ----- Serialisation

*.json      text
*.toml      text
*.xml       text
*.yaml      text
*.yml       text

# ----- Text files where line endings should be preserved

*.patch     -text

# ----- Other binaries

# KeePass
*.kdbx      binary
# MagicDraw
*.mdzip     binary
